curl --request GET \
--url https://api.fabric.inc/v3/product-exclusion-lists/{id} \
--header 'Authorization: Bearer <token>' \
--header 'x-fabric-tenant-id: <x-fabric-tenant-id>'import requests
url = "https://api.fabric.inc/v3/product-exclusion-lists/{id}"
headers = {
"x-fabric-tenant-id": "<x-fabric-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-fabric-tenant-id': '<x-fabric-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.fabric.inc/v3/product-exclusion-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "614b58924e92f6861ac9d43b",
"name": "Gucci handbags",
"startAt": "2022-05-04T09:23:51.459Z",
"endAt": "2099-12-31T00:00:00.000Z",
"scopes": [
"PRODUCT_PRICE"
],
"listType": "GLOBAL_EXCLUSION",
"createdAt": "2019-08-20T14:15:22.000Z",
"updatedAt": "2019-08-20T14:15:22.000Z",
"isDeleted": false,
"targetProducts": [
{
"type": "SKU",
"values": [
"1000000123"
]
}
]
}{
"type": "SKU_LIST_ID_NOT_VALID",
"message": "Specify a valid product exclusion list ID"
}{
"type": "UNAUTHORIZED",
"message": "Invalid credentials"
}{
"type": "SKU_LIST_NOT_FOUND",
"message": "Product exclusion List not found."
}{
"type": "INTERNAL_SERVER_ERROR",
"message": "Internal server error"
}Get a specific product exclusion list
Get a specific product exclusion list by ID. The response contains a list of target products that are exempted from being discounted based on the scopes value.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
A header used by fabric to identify the tenant making the request. You must include tenant id in the authentication header for an API request to access any of fabric’s endpoints. You can retrieve the tenant id , which is also called account id, from Copilot. This header is required.
24x-fabric-channel-id identifies the sales channel where the API request is being made; primarily for multichannel use cases. The channel ids are 12 corresponding to US and 13 corresponding to Canada. The default channel id is 12. This field is required.
"12"
A unique request ID.
"263e731c-45c8-11ed-b878-0242ac120002"
Path Parameters
Product exclusion list ID
"614b58924e92f6861ac9d43b"
Response
OK
Product exclusion list details
Product exclusion list ID
"614b58924e92f6861ac9d43b"
Product exclusion list name
"Gucci handbags"
Start date of the product exclusion list. The value must be in the future.
"2022-05-04T09:23:51.459Z"
End date of product exclusion list. The value must be greater than the start date.
"2099-12-31T00:00:00.000Z"
Applicable scope of product exclusion list. It's used to identify whether to exclude discounts on the SKU price or associated shipping price or both.
Scope to exclude discounts for the product exclusion list
PRODUCT_PRICE, SHIPPING_PRICE Product exclusion list type
GLOBAL_EXCLUSION "GLOBAL_EXCLUSION"
Record's creation time
"2019-08-20T14:15:22.000Z"
Record's last updated time
"2019-08-20T14:15:22.000Z"
true: Record is deleted
false: Record isn't deleted
false
Products to exclude
Show child attributes
Show child attributes
Was this page helpful?
